Show / Hide Table of Contents

# Class TextDocumentChangeEvent

##### Inheritance

System.Object
TextDocumentChangeEvent

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class TextDocumentChangeEvent

### Properties

| Improve this Doc View Source

#### Range

Gets or sets the Range where the document was changed. Will be null if the server's TextDocumentSyncKind is Full.

##### Declaration

    public Range? Range { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Range> |

| Improve this Doc View Source

#### RangeLength

Gets or sets the length of the Range being replaced in the document. Will be null if the server's TextDocumentSyncKind is Full.

##### Declaration

    public int ? RangeLength { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Text

Gets or sets the new text of the document.

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |